package sk.upjs.ics.kniznica;

/**
 *
 * @author student
 */
public class Kniha {
    private String autor;
    private String nazov;
    private String zaner;
    private long isbn;

    private Integer id;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAutor() {
        return autor;
    }

    public void setAutor(String autor) {
        this.autor = autor;
    }

    public long getIsbn() {
        return isbn;
    }

    public void setIsbn(long isbn) {
        this.isbn = isbn;
    }

    public String getNazov() {
        return nazov;
    }

    public void setNazov(String nazov) {
        this.nazov = nazov;
    }

    public String getZaner() {
        return zaner;
    }

    public void setZaner(String zaner) {
        this.zaner = zaner;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Kniha other = (Kniha) obj;
        if ((this.autor == null) ? (other.autor != null) : !this.autor.equals(other.autor)) {
            return false;
        }
        if ((this.nazov == null) ? (other.nazov != null) : !this.nazov.equals(other.nazov)) {
            return false;
        }
        if ((this.zaner == null) ? (other.zaner != null) : !this.zaner.equals(other.zaner)) {
            return false;
        }
        if (this.isbn != other.isbn) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 67 * hash + (this.autor != null ? this.autor.hashCode() : 0);
        hash = 67 * hash + (this.nazov != null ? this.nazov.hashCode() : 0);
        hash = 67 * hash + (this.zaner != null ? this.zaner.hashCode() : 0);
        hash = 67 * hash + (int) (this.isbn ^ (this.isbn >>> 32));
        return hash;
    }

    public String toString(){
        return(this.autor + " " + this.nazov + " " + this.zaner + " " + this.isbn);
    }
}
